As a user I want to be able to search for articles quickly and easily no matter what I am doing in the app
Closed, ResolvedPublic

Description

  • Add search bar to the top of the app
  • Search should be visible at all times, except when using the web reader
  • When a user taps the search bar, show the keyboard and hide the previously visible UI
  • Add button for changing search language on right side (implementation will be in another task: T92528)

Prototype
https://invis.io/RA3WT5YEZ

Fjalapeno created this task.Jun 3 2015, 6:12 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 6:12 PM
Fjalapeno renamed this task from Implement new search VC and search results VC to Implement language switching in new search VC.Jun 26 2015, 3:28 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno set Security to None.
Fjalapeno renamed this task from Implement language switching in new search VC to As a user I want to be able to search for articles quickly and easily no matter what I am doing in the app.Jul 5 2015, 11:16 PM
Fjalapeno updated the task description. (Show Details)
JMinor triaged this task as High priority.Sep 28 2015, 9:55 PM
JMinor added a project: iOS-app-v5-alpha.
BGerstle-WMF closed this task as Declined.Oct 7 2015, 10:19 PM
BGerstle-WMF claimed this task.
BGerstle-WMF added a subscriber: BGerstle-WMF.

Dupe of T113071

JMinor updated the task description. (Show Details)Oct 7 2015, 10:25 PM
JMinor reopened this task as Open.
JMinor removed BGerstle-WMF as the assignee of this task.
JMinor removed a subscriber: BGerstle-WMF.
Nirzar closed this task as Resolved.Oct 13 2015, 8:58 PM